@use 'reset';

@import url("https://fonts.googleapis.com/css2?family=Big+Shoulders+Display:wght@700&family=Lexend+Deca&display=swap");

:root {
  // Primary
  --clr-bright-orange: hsl(31, 77%, 52%);
  --clr-dark-cyan: hsl(184, 100%, 22%);
  --clr-very-dark-cyan: hsl(179, 100%, 13%);

  // Neutral
  --clr-transparent-white: hsla(0, 0%, 100%, 0.75);
  --clr-very-light-gray: hsl(0, 0%, 95%);

  --font-size: 15px;

  --font-family-lexend-deca: "Lexend Deca", sans-serif; // Weight 400
  --font-family-big-shoulders-display: "Big Shoulders Display", cursive; // Weight: 700
}

$mobile-breakpoint: 768px;

body {
  font-size: var(--font-size);
  font-family: var(--font-family-lexend-deca);
  font-weight: 400;
  background-color: var(--clr-transparent-white);
}

main {
  margin: 5rem 1.5rem;

  @media (min-width: $mobile-breakpoint) {
    display: flex;
    justify-content: center;
  }

  :first-child {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;

    @media (min-width: $mobile-breakpoint) {
      border-bottom-left-radius: 10px;
      border-top-right-radius: 0;
    }
  }

  :last-child {
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;

    @media (min-width: $mobile-breakpoint) {
      border-bottom-left-radius: 0;
      border-top-right-radius: 10px;
    }
  }
}

.card {
  color: var(--clr-transparent-white);
  padding: 40px;

  @media (min-width: $mobile-breakpoint) {
    max-width: 300px;
  }

  > * + * {
    margin-top: 2rem;
  }

  &-title {
    color: var(--clr-very-light-gray);
    font-size: 2rem;
    font-family: var(--font-family-big-shoulders-display);
    font-weight: 700;
    text-transform: uppercase;
  }

  .btn {
    padding: 0.5rem 1rem;
    border-radius: 2rem;
    outline: unset;
    border: 1px solid transparent;

    &:hover {
      cursor: pointer;
    }
  }

  &.sedan {
    background-color: var(--clr-bright-orange);

    .btn {
      color: var(--clr-bright-orange);

      &:hover {
        border: 1px solid var(--clr-transparent-white);
        color: var(--clr-transparent-white);
        background-color: 1px solid var(--clr-bright-orange);
      }
    }
  }

  &.suv {
    background-color: var(--clr-dark-cyan);

    .btn {
      color: var(--clr-dark-cyan);

      &:hover {
        color: var(--clr-transparent-white);
        border: 1px solid var(--clr-transparent-white);
        background-color: 1px solid var(--clr-dark-cyan);
      }
    }
  }

  &.luxury {
    background-color: var(--clr-very-dark-cyan);
    .btn {
      color: var(--clr-very-dark-cyan);

      &:hover {
        color: var(--clr-transparent-white);
        border: 1px solid var(--clr-transparent-white);
        background-color: 1px solid var(--clr-very-dark-cyan);
      }
    }
  }
}
